<template>
    <table class="table is-hoverable is-fullwidth" v-if="selectedPaymentMethod">
        <tbody>
            <tr v-for="paymentMethod in paymentMethods" :key="paymentMethod.id">
                <td :class="{ 'has-text-weight-bold': paymentMethod.id === selectedPaymentMethod.id }">
                    <p v-if="paymentMethod.isType == 'credit_card'">
                        {{ paymentMethod.type }} - {{ paymentMethod.card_type }} final {{ paymentMethod.last_four }}
                    </p>
                    <p v-else>
                        {{ paymentMethod.type }}
                    </p>
                </td>
                <td>
                    <a href="" class="button is-info" @click.prevent="$emit('click', paymentMethod)">Pagar com este</a>
                </td>
            </tr>
        </tbody>
    </table>
</template>
<script>
    export default {
        props: {
            paymentMethods: {
                required: true,
                type: Array
            },
            selectedPaymentMethod: {
                required: true,
                type: Object
            }
        }    
    }
</script>